ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package sql
  Definition Classes
    adam
- Alignment
- Dbxref
- Feature
- Fragment
- Genotype
- OntologyTerm
- ProcessingStep
- Read
- Reference
- Sequence
- Slice
- TranscriptEffect
- Variant
- VariantAnnotation
- VariantCallingAnnotations
- VariantContext

c

org.bdgenomics.adam.sql

# TranscriptEffect 

###
Companion object TranscriptEffect

#### case class TranscriptEffect(alternateAllele: Option[String] = None, effects: Seq[String] = Seq(), impact: Option[String] = None, geneName: Option[String] = None, geneId: Option[String] = None, featureType: Option[String] = None, featureId: Option[String] = None, biotype: Option[String] = None, strand: Option[String] = None, rank: Option[Int] = None, total: Option[Int] = None, genomicHgvs: Option[String] = None, transcriptHgvs: Option[String] = None, proteinHgvs: Option[String] = None, cdnaPosition: Option[Int] = None, cdnaLength: Option[Int] = None, codingSequencePosition: Option[Int] = None, codingSequenceLength: Option[Int] = None, referenceCodingSequence: Option[String] = None, alternateCodingSequence: Option[String] = None, proteinPosition: Option[Int] = None, proteinLength: Option[Int] = None, referenceProteinSequence: Option[String] = None, alternateProteinSequence: Option[String] = None, distance: Option[Int] = None, messages: Seq[String] = Seq()) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TranscriptEffect
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new TranscriptEffect(alternateAllele: Option[String] = None, effects: Seq[String] = Seq(), impact: Option[String] = None, geneName: Option[String] = None, geneId: Option[String] = None, featureType: Option[String] = None, featureId: Option[String] = None, biotype: Option[String] = None, strand: Option[String] = None, rank: Option[Int] = None, total: Option[Int] = None, genomicHgvs: Option[String] = None, transcriptHgvs: Option[String] = None, proteinHgvs: Option[String] = None, cdnaPosition: Option[Int] = None, cdnaLength: Option[Int] = None, codingSequencePosition: Option[Int] = None, codingSequenceLength: Option[Int] = None, referenceCodingSequence: Option[String] = None, alternateCodingSequence: Option[String] = None, proteinPosition: Option[Int] = None, proteinLength: Option[Int] = None, referenceProteinSequence: Option[String] = None, alternateProteinSequence: Option[String] = None, distance: Option[Int] = None, messages: Seq[String] = Seq())

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val alternateAllele: Option[String]
5.  val alternateCodingSequence: Option[String]
6.  val alternateProteinSequence: Option[String]
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  val biotype: Option[String]
9.  def canEqual(that: Any): Boolean
   Definition Classes
     TranscriptEffect → Equals
10.  val cdnaLength: Option[Int]
11.  val cdnaPosition: Option[Int]
12.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
13.  val codingSequenceLength: Option[Int]
14.  val codingSequencePosition: Option[Int]
15.  val distance: Option[Int]
16.  val effects: Seq[String]
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  val featureId: Option[String]
19.  val featureType: Option[String]
20.  val geneId: Option[String]
21.  val geneName: Option[String]
22.  val genomicHgvs: Option[String]
23.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
24.  val impact: Option[String]
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  val messages: Seq[String]
27.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
30.  def productArity: Int
    Definition Classes
      TranscriptEffect → Product
31.  def productElement(i: Int): Any
    Definition Classes
      TranscriptEffect → Product
32.  val proteinHgvs: Option[String]
33.  val proteinLength: Option[Int]
34.  val proteinPosition: Option[Int]
35.  val rank: Option[Int]
36.  val referenceCodingSequence: Option[String]
37.  val referenceProteinSequence: Option[String]
38.  val strand: Option[String]
39.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
40.  def toAvro: formats.avro.TranscriptEffect
41.  val total: Option[Int]
42.  val transcriptHgvs: Option[String]
43.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
44.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
45.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped